Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.jar
Class JarArchiveEntry

    java.lang.Object
      java.util.zip.ZipEntry
          org.apache.commons.compress.archivers.zip.ZipArchiveEntry
              org.apache.commons.compress.archivers.jar.JarArchiveEntry

All Implemented Interfaces:
  Cloneable, ArchiveEntry

    public class JarArchiveEntry

extends ZipArchiveEntry
implements ArchiveEntry

Field Summary
`static int` | `CENATT`
`static int` | `CENATX`
`static int` | `CENCOM`
`static int` | `CENCRC`
`static int` | `CENDSK`
`static int` | `CENEXT`
`static int` | `CENFLG`
`static int` | `CENHDR`
`static int` | `CENHOW`
`static int` | `CENLEN`
`static int` | `CENNAM`
`static int` | `CENOFF`
`static long` | `CENSIG`
`static int` | `CENSIZ`
`static int` | `CENTIM`
`static int` | `CENVEM`
`static int` | `CENVER`
`static int` | `ENDCOM`
`static int` | `ENDHDR`
`static int` | `ENDOFF`
`static long` | `ENDSIG`
`static int` | `ENDSIZ`
`static int` | `ENDSUB`
`static int` | `ENDTOT`
`static int` | `EXTCRC`
`static int` | `EXTHDR`
`static int` | `EXTLEN`
`static long` | `EXTSIG`
`static int` | `EXTSIZ`
`static int` | `LOCCRC`
`static int` | `LOCEXT`
`static int` | `LOCFLG`
`static int` | `LOCHDR`
`static int` | `LOCHOW`
`static int` | `LOCLEN`
`static int` | `LOCNAM`
`static long` | `LOCSIG`
`static int` | `LOCSIZ`
`static int` | `LOCTIM`
`static int` | `LOCVER`

Fields inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry
`PLATFORM_FAT, PLATFORM_UNIX`

Fields inherited from class java.util.zip.ZipEntry
`DEFLATED, STORED`

Fields inherited from interface org.apache.commons.compress.archivers.ArchiveEntry
`SIZE_UNKNOWN`

Constructor Summary
`JarArchiveEntry(JarEntry entry)`
`JarArchiveEntry(String name)`
`JarArchiveEntry(ZipArchiveEntry entry)`
`JarArchiveEntry(ZipEntry entry)`

Method Summary
`boolean` | `equals(Object obj)`
`Certificate[]` | `getCertificates()`
`Attributes` | `getManifestAttributes()`
`int` | `hashCode()` Get the hashCode of the entry.

Methods inherited from class org.apache.commons.compress.archivers.zip.ZipArchiveEntry
`addAsFirstExtraField, addExtraField, clone, getCentralDirectoryExtra, getExternalAttributes, getExtraField, getExtraFields, getInternalAttributes, getLocalFileDataExtra, getName, getPlatform, getUnixMode, isDirectory, removeExtraField, setCentralDirectoryExtra, setExternalAttributes, setExtra, setExtra, setExtraFields, setInternalAttributes, setName, setPlatform, setUnixMode`

Methods inherited from class java.util.zip.ZipEntry
`getComment, getCompressedSize, getCrc, getExtra, getMethod, getSize, getTime, setComment, setCompressedSize, setCrc, setMethod, setSize, setTime, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.compress.archivers.ArchiveEntry
`getName, getSize, isDirectory`

Field Detail

### LOCSIG

    public static final long LOCSIG

See Also:
  Constant Field Values

### EXTSIG

    public static final long EXTSIG

See Also:
  Constant Field Values

### CENSIG

    public static final long CENSIG

See Also:
  Constant Field Values

### ENDSIG

    public static final long ENDSIG

See Also:
  Constant Field Values

### LOCHDR

    public static final int LOCHDR

See Also:
  Constant Field Values

### EXTHDR

    public static final int EXTHDR

See Also:
  Constant Field Values

### CENHDR

    public static final int CENHDR

See Also:
  Constant Field Values

### ENDHDR

    public static final int ENDHDR

See Also:
  Constant Field Values

### LOCVER

    public static final int LOCVER

See Also:
  Constant Field Values

### LOCFLG

    public static final int LOCFLG

See Also:
  Constant Field Values

### LOCHOW

    public static final int LOCHOW

See Also:
  Constant Field Values

### LOCTIM

    public static final int LOCTIM

See Also:
  Constant Field Values

### LOCCRC

    public static final int LOCCRC

See Also:
  Constant Field Values

### LOCSIZ

    public static final int LOCSIZ

See Also:
  Constant Field Values

### LOCLEN

    public static final int LOCLEN

See Also:
  Constant Field Values

### LOCNAM

    public static final int LOCNAM

See Also:
  Constant Field Values

### LOCEXT

    public static final int LOCEXT

See Also:
  Constant Field Values

### EXTCRC

    public static final int EXTCRC

See Also:
  Constant Field Values

### EXTSIZ

    public static final int EXTSIZ

See Also:
  Constant Field Values

### EXTLEN

    public static final int EXTLEN

See Also:
  Constant Field Values

### CENVEM

    public static final int CENVEM

See Also:
  Constant Field Values

### CENVER

    public static final int CENVER

See Also:
  Constant Field Values

### CENFLG

    public static final int CENFLG

See Also:
  Constant Field Values

### CENHOW

    public static final int CENHOW

See Also:
  Constant Field Values

### CENTIM

    public static final int CENTIM

See Also:
  Constant Field Values

### CENCRC

    public static final int CENCRC

See Also:
  Constant Field Values

### CENSIZ

    public static final int CENSIZ

See Also:
  Constant Field Values

### CENLEN

    public static final int CENLEN

See Also:
  Constant Field Values

### CENNAM

    public static final int CENNAM

See Also:
  Constant Field Values

### CENEXT

    public static final int CENEXT

See Also:
  Constant Field Values

### CENCOM

    public static final int CENCOM

See Also:
  Constant Field Values

### CENDSK

    public static final int CENDSK

See Also:
  Constant Field Values

### CENATT

    public static final int CENATT

See Also:
  Constant Field Values

### CENATX

    public static final int CENATX

See Also:
  Constant Field Values

### CENOFF

    public static final int CENOFF

See Also:
  Constant Field Values

### ENDSUB

    public static final int ENDSUB

See Also:
  Constant Field Values

### ENDTOT

    public static final int ENDTOT

See Also:
  Constant Field Values

### ENDSIZ

    public static final int ENDSIZ

See Also:
  Constant Field Values

### ENDOFF

    public static final int ENDOFF

See Also:
  Constant Field Values

### ENDCOM

    public static final int ENDCOM

See Also:
  Constant Field Values

Constructor Detail

### JarArchiveEntry

    public JarArchiveEntry(ZipEntry entry)
                    throws ZipException

Throws:
  `ZipException`

### JarArchiveEntry

    public JarArchiveEntry(String name)

### JarArchiveEntry

    public JarArchiveEntry(ZipArchiveEntry entry)
                    throws ZipException

Throws:
  `ZipException`

### JarArchiveEntry

    public JarArchiveEntry(JarEntry entry)
                    throws ZipException

Throws:
  `ZipException`

Method Detail

### getManifestAttributes

    public Attributes getManifestAttributes()

### getCertificates

    public Certificate[] getCertificates()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ZipArchiveEntry`

### hashCode

    public int hashCode()

  Description copied from class: `ZipArchiveEntry`
  Get the hashCode of the entry. This uses the name as the hashcode.

  Overrides:
    `hashCode` in class `ZipArchiveEntry`
  Returns:
    a hashcode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.